KD Chart 2: KDChart::FrameAttributes class Reference

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KDChart::FrameAttributes Class Reference

`#include <KDChartFrameAttributes.h>`

List of all members.

## Public Member Functions
| FrameAttributes (const FrameAttributes &)
| FrameAttributes ()
bool | isVisible () const
bool | operator!= (const FrameAttributes &other) const
FrameAttributes & | operator= (const FrameAttributes &)
bool | operator== (const FrameAttributes &) const
int | padding () const
QPen | pen () const
void | setPadding (int padding)
void | setPen (const QPen &pen)
void | setVisible (bool visible)
| ~FrameAttributes ()

## Constructor & Destructor Documentation

KDChart::FrameAttributes::FrameAttributes | ( |  | ) |

KDChart::FrameAttributes::FrameAttributes | ( | const FrameAttributes & |  | ) |

KDChart::FrameAttributes::~FrameAttributes | ( |  | ) |

## Member Function Documentation

bool KDChart::FrameAttributes::isVisible | ( |  | ) | const

| Referenced by operator<<(), KDChart::AbstractAreaBase::paintFrameAttributes(), and updateCommonBrush().

bool KDChart::FrameAttributes::operator!= | ( | const FrameAttributes & | other | ) | const

| Definition at line 59 of file KDChartFrameAttributes.h.
    00059 { return !operator==(other); }

FrameAttributes& KDChart::FrameAttributes::operator= | ( | const FrameAttributes & |  | ) |

bool KDChart::FrameAttributes::operator== | ( | const FrameAttributes & |  | ) | const

int KDChart::FrameAttributes::padding | ( |  | ) | const

| Referenced by operator<<().

QPen KDChart::FrameAttributes::pen | ( |  | ) | const

| Referenced by operator<<(), and KDChart::AbstractAreaBase::paintFrameAttributes().

void KDChart::FrameAttributes::setPadding | ( | int | padding | ) |

| Referenced by KDChart::Chart::Chart().

void KDChart::FrameAttributes::setPen | ( | const QPen & | pen | ) |

| Referenced by KDChart::Chart::Chart().

void KDChart::FrameAttributes::setVisible | ( | bool | visible | ) |

| Referenced by KDChart::Chart::Chart().

The documentation for this class was generated from the following file:

- KDChartFrameAttributes.h